<?php

 require('includes/application_top.php');  // Zencart integration

require("dfd.config.php");

//$_SESSION['files_array'] = FALSE; // Debugging
//exit; // Debugging

if ( !$_GET ) {
$_SESSION['files_array'] = FALSE;
}

if ( $_GET['file_number'] ) {
$file_number = $_GET['file_number'];
}
else {
$file_number = 1;
}


?><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php  echo HTML_PARAMS;  // Zencart integration ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php  echo CHARSET;  // Zencart integration ?>">
<title><?php  echo TITLE;  // Zencart integration ?></title>
<?php
if ( $_GET['wait'] ) {
$last_file = $file_number - 1;
?>
<meta http-equiv="refresh" content="1; url=<?php echo $_SERVER['PHP_SELF'] . "?files_array=1&file_number=" . $file_number; ?>" />
<?php
}
?>

<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<link rel="stylesheet" type="text/css" href="includes/cssjsmenuhover.css" media="all" id="hoverJS">
<script language="javascript" src="includes/menu.js"></script>
<script language="javascript" src="includes/general.js"></script>
<script type="text/javascript">
  
  function init()
  {
    cssjsmenu('navbar');
    if (document.getElementById)
    {
      var kill = document.getElementById('hoverJS');
      kill.disabled = true;
    }
  }
  
</script>

</head>
<body onload="init()" marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF">


<?php  require(DIR_WS_INCLUDES . 'header.php');   // Zencart integration ?>


<?php


if ( !$_GET && !$_SESSION['files_array'] ) {

	// Read and list to sort anyway we desire...
	if ($dir = @opendir($converted_files)) {
	$files_array = array();
	
			while (($file = readdir($dir)) !== false) {
			
				if ( eregi("(.*)" . "_section_" . "(.*)" . ".csv", $file) ) {
				$files_array[] =  $file;
				}
			
			}
	
	closedir($dir);
	
	$_SESSION['files_array'] = $files_array;
	}


	if ( !$_SESSION['files_array'] ) {
	?>
<script type="text/javascript">
window.location.href = '<?php echo $_SERVER['PHP_SELF'] . "?failure=1"; ?>';
</script>
<?php
	exit;
	}
	else {	?>
<script type="text/javascript">
window.location.href = '<?php echo $_SERVER['PHP_SELF'] . "?files_array=1"; ?>';
</script>
<?php
	exit;
	}

//echo "stop 1<p></p>"; // Debugging
}


elseif ( $_GET['wait'] ) {
echo "<div style='padding: 20px;'><b style='color: red;'>Merged to conversion file # $last_file (raw files ".
($last_file * $merge_amount - $merge_amount + 1)." through ".($last_file * $merge_amount).")...please wait...</b></div>";
}


elseif ( $_GET['files_array'] ) {


	foreach ( $_SESSION['files_array'] as $raw_file_key => $raw_file_value ) {
	
	
			$file_data =  file_get_contents($converted_files . $raw_file_value);
			$file_data = eregi_replace($converted_header, "", $file_data);
			$merge_file = $converted_files . "Converted_eBay_Spreadsheet_" . $file_number . ".csv";
			
			$write_files = fopen($merge_file, 'a');
			fwrite($write_files, $file_data . "\n");
			
			fclose($write_files);
			
			unlink($converted_files . $raw_file_value);
			
			unset($_SESSION['files_array'][$raw_file_key]);
			
			$loop = $loop + 1;
			
				if ( $loop >= $merge_amount ) {
				
				$final_file =  file_get_contents($merge_file);
				
				$write_files2 = fopen($merge_file, 'w');
				fwrite($write_files2, $converted_header . $final_file);
				
				fclose($write_files2);
				
					if (function_exists("chmod")) {
					chmod ($merge_file, 0666);
					}
				
				?>
<script type="text/javascript">
setTimeout("window.location.href = '<?php echo $_SERVER['PHP_SELF'] . "?wait=1&files_array=1&file_number=" . ($file_number + 1); ?>'",1000);
</script>
<?php
				exit;
				
				}
			
	//echo "stop a<p></p>"; // Debugging
	}




	if ( sizeof($_SESSION['files_array']) < 1 ) {
	
	$final_file =  file_get_contents($merge_file);
	
	$write_files2 = fopen($merge_file, 'w');
	fwrite($write_files2, $converted_header . $final_file);
	
	fclose($write_files2);
	
		if (function_exists("chmod")) {
		chmod ($merge_file, 0666);
		}
		
	echo "<div style='padding: 20px;'><b style='color: red;'>Merging into $file_number conversion file(s) is complete. <br><br>To import your newly-converted ebay-to-website spreadsheet data into the store, choose the files named \"Converted_eBay_Spreadsheet\" in the menu inside the <a href='easypopulate.php' style='text-decoration: underline; font-weight: bold; color: red;'>Easy Populate Module</a>, and click the \"Import\" button for each one.</b></div>";
	
	}

//echo "stop 2<p></p>"; // Debugging
}


elseif ( $_GET['failure'] ) {
?>
<div style='padding: 20px;'><b style='color: red;'>It appears you have no raw conversion files to finalize... <a href='dfd.csv.parser.php' style='text-decoration: underline; font-weight: bold; color: red;'>return to the eBay Spreadsheet Conversion Index</a> and see if you need to convert an eBay spreadsheet to Zen Cart format first</b>.</div>
<?php
}

//echo "stop 3<p></p>"; // Debugging
?>

<?php
/*
echo "<br clear='all'>Sessions: <pre>";
print_r($_SESSION);
echo "</pre>";
*/
?>
<br /><br /><br />
<div align="center"><a href="http://www.dragonfrugal.com/php-bin/online-services/help-desk/" target="_blank"><b>DFD Turbolist Converter Support</b></a> &nbsp;&nbsp;||&nbsp;&nbsp; <a href="http://www.dragonfrugal.com/proprietary/dfdturbolistconverter/check.version.php?dfd_turbolist_version=<?=$program_version?>" target="_blank"><b>Version <?=$program_version?> Upgrade Check</b></a></div>

<?php  require(DIR_WS_INCLUDES . 'footer.php');  // Zencart integration ?>

</body>
</html>
<?php

   require('includes/application_bottom.php');  // Zencart integration
  
  ?>

